# GetJournals

Use this function to retrieve either one or many journals. A maximum of 100 journals will be returned in any response. Use the offset or If-Modified-Since filters (see below) with multiple API calls to retrieve larger sets of journals. Journals are ordered oldest to newest.

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Journal id

You can retrieve an individual record by specifying the JournalID.

#### Modified after

A UTC timestamp (yyyy-mm-ddThh:mm:ss) . Only records created or modified since this timestamp will be returned e.g. 2009-11-12T00:00:00.

#### Offset

Offset by a specified journal number. e.g. journals with a JournalNumber greater than the offset will be returned.

#### Payments only

Set to true if you want to retrieve journals on a cash basis. Journals are returned on an accrual basis by default.

#### Return options

Select how the data is to be returned.

Possible values are:

* Only the first item.
* The first item or an empty item.
* All the items one by one.
* All of the items at once.

## Output

#### Return type of Journals

#### A list of journals or a single journal depending on the selected [Return option](https://github.com/linx-software/linx-docs/blob/v6-Main/reference/plugins/xero/content/journals/getattachments.md#return-options).

## Links

[Xero Developer: Journals (GET)](https://developer.xero.com/documentation/api/journals#GET)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/journals/getjournals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
